using examPrepare.Pages;
using examPrepare.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace examPrepare
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
      workspace.Navigate(new Catalog());
      GlobalInfo.setUpProductCountFunc += delegate ()
      {
        int count = 0;
        foreach (var product in GlobalInfo.cart)
        {
          count += product.Value;
        }
        products_count.Text = count.ToString();
      };
      while (new Auth().ShowDialog() != true) ;
    }

    private void catalog_btn_Click(object sender, RoutedEventArgs e)
    {
      workspace.Navigate(new Catalog());
    }

    private void cart_btn_Click(object sender, RoutedEventArgs e)
    {
      workspace.Navigate(new Cart());
    }
  }
}
